Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 2679093006: Add a use counter for RtcpMuxPolicy of "negotiate". (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 3 weeks ago by zhihuang1
Modified:
3 months, 1 week ago
CC:
chromium-reviews, blink-reviews, haraken, asvitkine+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add a use counter for RtcpMuxPolicy of "negotiate". When parsing the RTCConfiguration, if the RtcpMuxPolicy is "negotiate", it will be counted. The number will be used to estimate the risk of removing this feature. Intent to deprecate thread: https://groups.google.com/a/chromium.org/forum/#!topic/blink-dev/OP2SGSWF5lo BUG=chromium:685727 Review-Url: https://codereview.chromium.org/2679093006 Cr-Commit-Position: refs/heads/master@{#451162} Committed: https://chromium.googlesource.com/chromium/src/+/887a0d5ac980c21eebecb133a75e08dc2fe048bf

Patch Set 1 #

Total comments: 2

Patch Set 2 : Modified the deprecate message. #

Total comments: 1

Patch Set 3 : CR comments. #

Total comments: 1

Patch Set 4 : Remove the deprecation message. #

Patch Set 5 : Replace the countDeprecate with UseCounter::count #

Patch Set 6 : Merge #

Messages

Total messages: 35 (20 generated)
Taylor_Brandstetter
https://codereview.chromium.org/2679093006/diff/1/third_party/WebKit/Source/core/frame/Deprecation.cpp File third_party/WebKit/Source/core/frame/Deprecation.cpp (right): https://codereview.chromium.org/2679093006/diff/1/third_party/WebKit/Source/core/frame/Deprecation.cpp#newcode421 third_party/WebKit/Source/core/frame/Deprecation.cpp:421: return "The rtcpMuxPolicy \"negotiate\" will be deprecated. Please use ...
3 months, 2 weeks ago (2017-02-09 00:29:43 UTC) #3
zhihuang1
Hi, Please take a look. Thanks. https://codereview.chromium.org/2679093006/diff/1/third_party/WebKit/Source/core/frame/Deprecation.cpp File third_party/WebKit/Source/core/frame/Deprecation.cpp (right): https://codereview.chromium.org/2679093006/diff/1/third_party/WebKit/Source/core/frame/Deprecation.cpp#newcode421 third_party/WebKit/Source/core/frame/Deprecation.cpp:421: return "The rtcpMuxPolicy ...
3 months, 2 weeks ago (2017-02-09 01:46:07 UTC) #6
Steven Holte (OOO til Jun 7)
histograms lgtm
3 months, 2 weeks ago (2017-02-09 01:52:28 UTC) #7
Guido Urdaneta
Can you include a link to the intent-to-deprecate thread in the description?
3 months, 2 weeks ago (2017-02-09 12:30:19 UTC) #8
Taylor_Brandstetter
On 2017/02/09 12:30:19, Guido Urdaneta wrote: > Can you include a link to the intent-to-deprecate ...
3 months, 2 weeks ago (2017-02-09 18:26:47 UTC) #9
dcheng
rs lgtm https://codereview.chromium.org/2679093006/diff/40001/third_party/WebKit/Source/core/frame/Deprecation.cpp File third_party/WebKit/Source/core/frame/Deprecation.cpp (right): https://codereview.chromium.org/2679093006/diff/40001/third_party/WebKit/Source/core/frame/Deprecation.cpp#newcode421 third_party/WebKit/Source/core/frame/Deprecation.cpp:421: return replacedBy("The rtcpMuxPolicy \"negotiate\"", "\"require\""); Nit: remove ...
3 months, 2 weeks ago (2017-02-09 19:00:10 UTC) #10
Guido Urdaneta
On 2017/02/09 18:26:47, Taylor_Brandstetter wrote: > On 2017/02/09 12:30:19, Guido Urdaneta wrote: > > Can ...
3 months, 2 weeks ago (2017-02-09 21:05:10 UTC) #11
foolip
Can you add just the use counter in this CL? For deprecation we would like ...
3 months, 2 weeks ago (2017-02-15 06:46:36 UTC) #14
zhihuang1
Please take another look. Thanks.
3 months, 1 week ago (2017-02-15 21:13:05 UTC) #20
zhihuang1
On 2017/02/15 06:46:36, foolip wrote: > Can you add just the use counter in this ...
3 months, 1 week ago (2017-02-15 21:26:02 UTC) #23
foolip
On 2017/02/15 21:26:02, zhihuang1 wrote: > On 2017/02/15 06:46:36, foolip wrote: > > Can you ...
3 months, 1 week ago (2017-02-16 05:04:49 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2679093006/100001
3 months, 1 week ago (2017-02-16 18:17:32 UTC) #27
commit-bot: I haz the power
Try jobs failed on following builders: ios-device on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device/builds/154956) ios-device-xcode-clang on master.tryserver.chromium.mac (JOB_FAILED, ...
3 months, 1 week ago (2017-02-16 18:20:54 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2679093006/120001
3 months, 1 week ago (2017-02-16 20:46:26 UTC) #32
commit-bot: I haz the power
3 months, 1 week ago (2017-02-17 01:08:33 UTC) #35
Message was sent while issue was closed.
Committed patchset #6 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/887a0d5ac980c21eebecb133a75e...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06